using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pecina
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string []unos1 = Console.ReadLine().Split();
            int n = int.Parse(unos1[0]), l = int.Parse(unos1[1]);
            string[] unos2 = Console.ReadLine().Split();
            int i1 = -1;
            for (int i=0; i<n; i++)
            {
                if (i1 == -1 && int.Parse(unos2[i])<=l)
                {
                    i1 = i+1;
                }
            }
            Console.WriteLine(i1);
            Console.ReadLine();
        }
    }
}